List settlement rules
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.api.enfinitos.com/v1/settlement-rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://sandbox.api.enfinitos.com/v1/settlement-rules"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.api.enfinitos.com/v1/settlement-rules"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://sandbox.api.enfinitos.com/v1/settlement-rules")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.api.enfinitos.com/v1/settlement-rules")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyfalsecurl --request GET \
--url https://sandbox.api.enfinitos.com/v1/settlement-rules \
--header 'Authorization: Bearer <token>'{
"ok": true,
"data": {
"rules": [
{
"id": "<string>",
"orgId": "<string>",
"version": 123,
"label": "<string>",
"description": "<string>",
"activeFrom": "2023-11-07T05:31:56Z",
"activeUntil": "2023-11-07T05:31:56Z",
"supersedesRuleId": "<string>",
"supersededByRuleId": "<string>",
"splits": [
{
"share": "<string>",
"ledgerAccountCode": "<string>",
"counterpartyId": "<string>",
"minimumCents": 123,
"maximumCents": 123
}
],
"targeting": {
"currency": "<string>",
"substrates": [
"<string>"
],
"counterpartyIds": [
"<string>"
],
"appliesToScope": "<string>",
"minimumAmountCents": 123,
"maximumAmountCents": 123
},
"taxConfig": {
"withholdingApplies": true,
"passThroughFeeLedgerCodes": [
"<string>"
],
"vatRate": "<string>"
},
"createdBy": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"approvedBy": "<string>",
"approvedAt": "2023-11-07T05:31:56Z",
"approvalNotes": "<string>"
}
],
"total": 123,
"effectiveRuleId": "<string>",
"defaultRule": {
"id": "<string>",
"orgId": "<string>",
"version": 123,
"label": "<string>",
"description": "<string>",
"activeFrom": "2023-11-07T05:31:56Z",
"activeUntil": "2023-11-07T05:31:56Z",
"supersedesRuleId": "<string>",
"supersededByRuleId": "<string>",
"splits": [
{
"share": "<string>",
"ledgerAccountCode": "<string>",
"counterpartyId": "<string>",
"minimumCents": 123,
"maximumCents": 123
}
],
"targeting": {
"currency": "<string>",
"substrates": [
"<string>"
],
"counterpartyIds": [
"<string>"
],
"appliesToScope": "<string>",
"minimumAmountCents": 123,
"maximumAmountCents": 123
},
"taxConfig": {
"withholdingApplies": true,
"passThroughFeeLedgerCodes": [
"<string>"
],
"vatRate": "<string>"
},
"createdBy": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"approvedBy": "<string>",
"approvedAt": "2023-11-07T05:31:56Z",
"approvalNotes": "<string>"
}
},
"contractVersion": "<string>"
}{
"ok": true,
"message": "<string>",
"contractVersion": "<string>",
"field": "<string>",
"validationErrors": [
{}
],
"requiredScopes": [
"<string>"
],
"keyScopes": [
"<string>"
]
}{
"ok": true,
"message": "<string>",
"contractVersion": "<string>",
"field": "<string>",
"validationErrors": [
{}
],
"requiredScopes": [
"<string>"
],
"keyScopes": [
"<string>"
]
}Settlement config
List settlement rules
List the caller’s settlement rules plus the platform default and the id of the effective rule. Requires scope settlement:read.
GET
/
v1
/
settlement-rules
List settlement rules
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.api.enfinitos.com/v1/settlement-rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://sandbox.api.enfinitos.com/v1/settlement-rules"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.api.enfinitos.com/v1/settlement-rules"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://sandbox.api.enfinitos.com/v1/settlement-rules")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.api.enfinitos.com/v1/settlement-rules")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyfalsecurl --request GET \
--url https://sandbox.api.enfinitos.com/v1/settlement-rules \
--header 'Authorization: Bearer <token>'{
"ok": true,
"data": {
"rules": [
{
"id": "<string>",
"orgId": "<string>",
"version": 123,
"label": "<string>",
"description": "<string>",
"activeFrom": "2023-11-07T05:31:56Z",
"activeUntil": "2023-11-07T05:31:56Z",
"supersedesRuleId": "<string>",
"supersededByRuleId": "<string>",
"splits": [
{
"share": "<string>",
"ledgerAccountCode": "<string>",
"counterpartyId": "<string>",
"minimumCents": 123,
"maximumCents": 123
}
],
"targeting": {
"currency": "<string>",
"substrates": [
"<string>"
],
"counterpartyIds": [
"<string>"
],
"appliesToScope": "<string>",
"minimumAmountCents": 123,
"maximumAmountCents": 123
},
"taxConfig": {
"withholdingApplies": true,
"passThroughFeeLedgerCodes": [
"<string>"
],
"vatRate": "<string>"
},
"createdBy": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"approvedBy": "<string>",
"approvedAt": "2023-11-07T05:31:56Z",
"approvalNotes": "<string>"
}
],
"total": 123,
"effectiveRuleId": "<string>",
"defaultRule": {
"id": "<string>",
"orgId": "<string>",
"version": 123,
"label": "<string>",
"description": "<string>",
"activeFrom": "2023-11-07T05:31:56Z",
"activeUntil": "2023-11-07T05:31:56Z",
"supersedesRuleId": "<string>",
"supersededByRuleId": "<string>",
"splits": [
{
"share": "<string>",
"ledgerAccountCode": "<string>",
"counterpartyId": "<string>",
"minimumCents": 123,
"maximumCents": 123
}
],
"targeting": {
"currency": "<string>",
"substrates": [
"<string>"
],
"counterpartyIds": [
"<string>"
],
"appliesToScope": "<string>",
"minimumAmountCents": 123,
"maximumAmountCents": 123
},
"taxConfig": {
"withholdingApplies": true,
"passThroughFeeLedgerCodes": [
"<string>"
],
"vatRate": "<string>"
},
"createdBy": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"approvedBy": "<string>",
"approvedAt": "2023-11-07T05:31:56Z",
"approvalNotes": "<string>"
}
},
"contractVersion": "<string>"
}{
"ok": true,
"message": "<string>",
"contractVersion": "<string>",
"field": "<string>",
"validationErrors": [
{}
],
"requiredScopes": [
"<string>"
],
"keyScopes": [
"<string>"
]
}{
"ok": true,
"message": "<string>",
"contractVersion": "<string>",
"field": "<string>",
"validationErrors": [
{}
],
"requiredScopes": [
"<string>"
],
"keyScopes": [
"<string>"
]
}Authorizations
API key sent as Authorization: Bearer <api-key>.
⌘I